Package com.tietoenator.trip.jxp.facet

# Enum Class TdbFacetSortOrder

java.lang.Object
java.lang.Enum<TdbFacetSortOrder>
com.tietoenator.trip.jxp.facet.TdbFacetSortOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbFacetSortOrder>`, `Constable`

public enum TdbFacetSortOrder extends Enum<TdbFacetSortOrder>
Sort order for facets.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Default`
  Default sort order, determined by server and depending on facet type.
  `FrequencyAscending`
  Sort by frequency, lowest occurrence first.
  `FrequencyDescending`
  Sort by frequency, highest occurrence first.
  `ValueAscending`
  Sort by value, alphabetical order.
  `ValueDescending`
  Sort by value, reverse alphabetical order.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbFacetSortOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbFacetSortOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Default

    public static final TdbFacetSortOrder Default
    Default sort order, determined by server and depending on facet type.

  - ### FrequencyAscending

    public static final TdbFacetSortOrder FrequencyAscending
    Sort by frequency, lowest occurrence first.

    NOTE: This option is not yet fully supported, and its use should be avoided for now.

  - ### FrequencyDescending

    public static final TdbFacetSortOrder FrequencyDescending
    Sort by frequency, highest occurrence first.

  - ### ValueAscending

    public static final TdbFacetSortOrder ValueAscending
    Sort by value, alphabetical order.

  - ### ValueDescending

    public static final TdbFacetSortOrder ValueDescending
    Sort by value, reverse alphabetical order.

    NOTE: This option is not yet fully supported, and its use should be avoided for now.

- ## Method Details

  - ### values

    public static TdbFacetSortOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbFacetSortOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null